#! /bin/sh 

tcpttld="%%BINDIR%%/tcpttld"
run="/var/run/tcpttld.pid"
conf="%%CONFDIR%%/tcpttld.conf"

if [ ! -e ${conf} ]; then
	case $1 in 
	start)
		if [ ! -e ${run} ]; then
			if [ -x ${tcpttld} ]; then
				echo -n ' tcpttld'
				${tcpttld} -P ${run}
			fi
		else
			echo "Already Running"
			exit 1
		fi
		;;
	stop)
		if [ -r ${run} ]; then
			echo -n ' tcpttld'
			kill `cat "${run}"` 2> /dev/null
			rm -rf ${run} 2> /dev/null
		fi
		;;
	*)
		echo "Use: ${0} start|stop"
		exit 1
		;;
	esac
fi
			
		
			
		  
